# This file is part of mingw-cross-env.
# See doc/index.html for further information.

# ORBit2
PKG             := ORBit2
$(PKG)_IGNORE   :=
$(PKG)_VERSION  := 2.14.19
$(PKG)_CHECKSUM := e7c26aa4b82c146b3ec08d490e3469b4913e4e2f
$(PKG)_SUBDIR   := ORBit2-$($(PKG)_VERSION)
$(PKG)_FILE     := ORBit2-$($(PKG)_VERSION).tar.bz2
$(PKG)_WEBSITE  := http://projects.gnome.org/ORBit2/documentation.html
$(PKG)_URL      := http://ftp.gnome.org/pub/gnome/sources/ORBit2/$(call SHORT_PKG_VERSION,$(PKG))/$($(PKG)_FILE)
$(PKG)_DEPS     := gcc libIDL

define $(PKG)_UPDATE
    wget -q -O- 'http://git.gnome.org/browse/ORBit2/refs/tags' | \
    $(SED) -n "s,.*tag/?id=\([0-9]\+\.[0-9]*[02468]\.[^']*\).*,\1,p" | \
    head -1
endef

define $(PKG)_BUILD
    cd '$(1)' && ./configure \
        --host='$(TARGET)' \
        --prefix='$(PREFIX)/$(TARGET)' \
        --disable-shared \
        ac_cv_alignof_CORBA_octet=1 \
        ac_cv_alignof_CORBA_boolean=1 \
        ac_cv_alignof_CORBA_char=1 \
        ac_cv_alignof_CORBA_wchar=2 \
        ac_cv_alignof_CORBA_double=8 \
        ac_cv_alignof_CORBA_float=4 \
        ac_cv_alignof_CORBA_long=4 \
        ac_cv_alignof_CORBA_pointer=4 \
        ac_cv_alignof_CORBA_short=2 \
        ac_cv_alignof_CORBA_struct=1 \
        ac_cv_alignof_CORBA_long_long=8 \
        ac_cv_alignof_CORBA_long_double=8 \
        --disable-gtk-doc
    $(MAKE) -C '$(1)/linc2' -j '$(JOBS)'
    $(MAKE) -C '$(1)/src/idl' -j '$(JOBS)'
    $(MAKE) -C '$(1)' -j '$(JOBS)' bin_PROGRAMS= sbin_PROGRAMS= noinst_PROGRAMS=
    $(MAKE) -C '$(1)' -j 1 install bin_PROGRAMS= sbin_PROGRAMS= noinst_PROGRAMS=
endef
