# This file is part of mingw-cross-env.
# See doc/index.html for further information.

# libIDL
PKG             := libIDL
$(PKG)_IGNORE   :=
$(PKG)_VERSION  := 0.8.14
$(PKG)_CHECKSUM := abedf091bef0c7e65162111baf068dcb739ffcd3
$(PKG)_SUBDIR   := libIDL-$($(PKG)_VERSION)
$(PKG)_FILE     := libIDL-$($(PKG)_VERSION).tar.bz2
$(PKG)_WEBSITE  := http://projects.gnome.org/ORBit2/documentation.html
$(PKG)_URL      := http://ftp.gnome.org/pub/gnome/sources/libIDL/$(call SHORT_PKG_VERSION,$(PKG))/$($(PKG)_FILE)
$(PKG)_DEPS     := gcc glib

define $(PKG)_UPDATE
    wget -q -O- 'http://git.gnome.org/browse/libIDL/refs/tags' | \
    $(SED) -n "s,.*tag/?id=\([0-9]\+\.[0-9]*[02468]\.[^']*\).*,\1,p" | \
    head -1
endef

define $(PKG)_BUILD
    cd '$(1)' && ./configure \
        --host='$(TARGET)' \
        --prefix='$(PREFIX)/$(TARGET)' \
        --with-x=no \
        libIDL_cv_long_long_format=ll \
        --disable-shared

    $(MAKE) -C '$(1)' -j '$(JOBS)' bin_PROGRAMS= sbin_PROGRAMS= noinst_PROGRAMS=
    $(MAKE) -C '$(1)' -j 1 install bin_PROGRAMS= sbin_PROGRAMS= noinst_PROGRAMS=
endef
